Bug 320351 - Request camera support for Sony A77.
Summary: Request camera support for Sony A77.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-RAW (show other bugs)
Version: 3.2.0
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-27 14:11 UTC by Dennis
Modified: 2013-05-27 21:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis 2013-05-27 14:11:11 UTC
I can see that there is support for the SLT cameras up to A65. Can someone help me find a plugin to use the A77 camera with digikam? Thanks.

Reproducible: Always

Steps to Reproduce:
1.plug camera in
2. go to inport as  a mass storage device
3. sees the mounted card in the camera but shows no data in either MASS STORAGE or MTP
Actual Results:  
digikam locks up and I have to force quit the application.

Expected Results:  
I would like to import directly from the camera as I can with the older versions of the Alpha series from Sony. 

Thanks for any help or assistance and I do apologize if this has already been reported / requested.
Comment 1 caulier.gilles 2013-05-27 15:37:21 UTC
Through my last libraw update to 0.15.0 into libkdcraw Sony Alpha > A65 cameras are supported.

http://www.libraw.org/news/libraw-0-15-0

This version of libkdcraw will be released with last KDEGraphics release (4.11.2 i think)

Anyway, libkdcraw will be include in last digiKam 3.3.0. You can also compile digiKam from git/master now to take this code as well...

Best

Gilles Caulier
Comment 2 Dennis 2013-05-27 20:33:24 UTC
Thanks for the reply Giles.  I looked at the list of supported cameras for
0-15-0 and A77 was not there. it went from 57 to 99 but no 77. I will try
to get the most up to date copy of digikam to try it out. Thanks.


On Tue, May 28, 2013 at 1:37 AM, Gilles Caulier <caulier.gilles@gmail.com>wrote:

> https://bugs.kde.org/show_bug.cgi?id=320351
>
> Gilles Caulier <caulier.gilles@gmail.com> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |RESOLVED
>                  CC|                            |caulier.gilles@gmail.com
>           Component|Import                      |libkdcraw
>          Resolution|---                         |FIXED
>
> --- Comment #1 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Through my last libraw update to 0.15.0 into libkdcraw Sony Alpha > A65
> cameras
> are supported.
>
> http://www.libraw.org/news/libraw-0-15-0
>
> This version of libkdcraw will be released with last KDEGraphics release
> (4.11.2 i think)
>
> Anyway, libkdcraw will be include in last digiKam 3.3.0. You can also
> compile
> digiKam from git/master now to take this code as well...
>
> Best
>
> Gilles Caulier
>
> --
> You are receiving this mail because:
> You reported the bug.
>
Comment 3 caulier.gilles 2013-05-27 21:30:41 UTC
A77 is listed here and work as expected...

http://www.flickr.com/photos/digikam/8859562360/sizes/o/

Gilles Caulier